BP_FETCH(1p)

NAME
bp_fetch.pl - fetches sequences from bioperl indexed databases

SYNOPSIS
  bp_fetch.pl swiss:ROA1_HUMAN

  bp_fetch.pl net::genbank:JX295726

  bp_fetch.pl net::genpept:ROA1_HUMAN

  bp_fetch.pl ace::myserver.somewhere.edu,21000:X56676

  bp_fetch.pl -fmt GCG swiss:ROA1_HUMAN

DESCRIPTION
Fetches sequences using the DB access systems in Bioperl. The most common use of this is to bp_fetch sequences from bioperl indices built using bpindex.pl, or to fetch sequences from the NCBI website

The format for retrieving sequences is delibrately like the GCG/EMBOSS format like the following:

  db:name

with the potential of putting in a 'meta' database type, being

  meta::db:name

The meta information can be one of three types

  local - local indexed flat file database
  net   - networked http: based database
  ace   - ACeDB database

This information defaults to 'local' for database names with no meta db information

OPTIONS
  -fmt  <format> - Output format
                   Fasta (default), EMBL, Raw, swiss or GCG
  -acc           - string is an accession number, not an
                   id.

options only for expert use

  -dir  <dir>    - directory to find the index files
                  (overrides BIOPERL_INDEX environment variable)
  -type <type>   - type of DBM file to open
                  (overrides BIOPERL_INDEX_TYPE environment variable)

ENVIRONMENT
bp_index and bp_fetch coordinate where the databases lie using the environment variable BIOPERL_INDEX. This can be overridden using the -dir option. The index type (SDBM or DB_File or another index file) is controlled by the BIOPERL_INDEX_TYPE variable. This defaults to SDBM_File

USING IT YOURSELF
bp_fetch is a wrapper around the bioperl modules which support the Bio::DB::BioSeqI abstract interface. These include:

  Author          Code

  James Gilbert - Fasta indexer, Abstract indexer
  Aaron Mackay  - GenBank and GenPept DB access
  Ewan Birney   - EMBL .dat indexer
  Many people   - SeqIO code

These modules can be used directly, which is far better than using this script as a system call or a pipe to read from. Read the source code for bp_fetch to see how it is used.

EXTENDING IT
bp_fetch uses a number of different modules to provide access to databases. Any module which subscribes to the Bio::DB::BioSeqI interface can be used here. For flat file indexers, this is best done by extending Bio::Index::Abstract, as is done in Bio::Index::EMBL and Bio::Index::Fasta. For access to other databases you will need to roll your own interface.

For new output formats, you need to add a new SeqIO module. The easiest thing is to look at Bio::SeqIO::Fasta and figure out how to hack it for your own format (call it something different obviously).

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via the web:

  https://github.com/bioperl/bioperl-live/issues

AUTHOR
Ewan Birney <birney@ebi.ac.uk>